Retrieves all the hour_type_group objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

hour_type_group
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the hour type group

string

Required

Max length: 255

description

Description of the hour type group

string

Max length: 255

is_normal_hour

Is normal hour (to sum the total working time (normal hour) by week by user).Default=true

boolean
code

Code of the hour type group. Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "1fd69db8-d450-4728-8b19-d98917a39f55",
  "name": "sample string 2",
  "description": "sample string 3",
  "is_normal_hour": true,
  "code": "sample string 5",
  "modified_dateutc": "2026-10-26T12:31:57.2926997+00:00"
}